import axios from 'axios';
import { apiResData } from '@/api/interface/index';

// 公共路径
const urlPrefix = '/api/v1/bpms-workbench';

// 获取应用事件
export function getAppEventData(id: any) {
  return axios.get<apiResData>(`${urlPrefix}/appEvent/${id}`);
}

// 获取工程下的所有应用事件
export function getAppEventList(id: any) {
  return axios.get<apiResData>(`${urlPrefix}/appEvent/${id}/list`);
}

// 更新事件
export function updateAppEvent(id: any, data: any) {
  return axios.post<apiResData>(`${urlPrefix}/appEvent/${id}/update`, data);
}

// 更新应用编排数据
export function updateAppFlowData(data: any) {
  return axios.post<apiResData>(`${urlPrefix}/appEvent/update`, data);
}

// 修改应用编排中的事件通道
export function updateAppEventChannel(data: any) {
  return axios.post<apiResData>(`${urlPrefix}/appEvent/updateTopic`, data);
}